
from org.gvsig.fmap.dal.feature.impl.featureset import DefaultFeatureSet as JFeatureSet
        
class FeatureSet(JFeatureSet):
  """Represents gvSIG FeatureSet 
  """
  def __init__(self,featureSet):
    WrapperToJava.__init__(self,featureSet)
    
  def getCount(self):
    """Returns the number of elements in the featureSet"""
    return self.getSize()
  
  def update(self, feature):
    """
    Updates exist feature in the featureSet
    :param editableFeature: editableFeature
    :type editableFeature: Java editableFeature
    """
    if not isinstance(feature, EditableFeature) and \
            not isinstance(feature, DefaultEditableFeature):
      feature = feature._javaobj
    self().update(feature)
  
  def __iter__(self):
    return  Iterator(self.fastIterator())

